QGIS Application - Bug report #6134
Points are deleted but still exist
2012-07-31 07:36 PM - stefano campus

Status: Closed

Priority: Normal

Assignee: Giuseppe Sucameli

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 15466
Description

from a series of GPS surveys, | have merged them into a single shape file.
From this shape file | have selected some points and cleared them, but elements still exist even if the dbf they are not present.

qgis: points no longer exist. instances are 1252. also the plugin "shapefile viewer" tells that the points are 1252.
arcgis: display them all (2635 points), but it's not possible to select them and to clear them.

saga gui: as in qqgis

openjump: i can see all the 2635 points, | select them and then delete

History

#1 - 2012-08-01 02:19 AM - Giuseppe Sucameli
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in commit:ec87f7f8eb

BTW, the problem is due to the character fi in the filename.

Until you update QGis to the lastest version from master you can just rename your file, load it in QGis, delete a feature and then save it to fix the feature

count.

#2 - 2012-08-01 07:17 AM - Salvatore Larosa
- File QGIS_40c01ad.png added
- File gvSIG_Viewer.png added

| am not sure that solve the issue!
In attached there are 2 images, the first image as shown the layer in gvSIG and second one the same layer in QGIS (current master).
Maybe I'm wrong, but | expect to see the same thing in both!

#3 - 2012-08-01 08:17 AM - Giuseppe Sucameli

The attached shapefile contains some features marked for deletion but not really removed from the file.
If you try to open it, QGis doesn't displays the marked features, GvSIG instead displays them.

The fix in the current master deletes the marked features when saving, so the shapefile still contains features marked for deletion until you delete another
feature and then save it.
Files

Las_Salinas.zip 149 KB 2012-07-31 stefano campus
gvSIG_Viewer.png 79.3 KB 2012-08-01 Salvatore Larosa
QGIS_40c01ad.png 290 KB 2012-08-01 Salvatore Larosa
